#!/bin/sh
eval $(awk '/IEDName/ { printf("old_ied=%s",$2) }' /scl_srvr/startup.cfg )
new_ied=$1
sed -i "s/$old_ied/$new_ied/g" /scl_srvr/startup.cfg
sed -i "s/$old_ied/$new_ied/g" /scl_srvr/TEMPLATE.icd
sed -i "s/$old_ied/$new_ied/g" /scl_srvr/datamap.cfg
echo "Change $old_ied to $new_ied successfull"
